/* Style cho bài viết ghim */
.sticky-post-custom {
    background: #fff;
    position: relative;
    grid-column: span 2;
    max-width: 100%;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    height: 482px;
}

/* Ảnh full */
.sticky-post-custom .ct-media-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.sticky-post-custom .ct-media-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Wrapper chứa nội dung */
.sticky-content-wrapper {
    position: absolute;
    z-index: 3;
    background-color: #FFFFFFE5;
    padding: 24px;
    gap: 8px;
    border-radius: 0 8px 0 0;
    max-width: 428px;
    left: 0;
    bottom: 0;
}

/* Date meta */
.sticky-post-custom .entry-meta {
    font-size: 14px;
}

.sticky-post-custom .entry-meta * {
    color: #9E9E9E;
}

/* Title */
.sticky-post-custom .entry-title {
    font-size: 28px;
    line-height: 1.3;
    margin-bottom: 0;
    font-weight: 600;
}

.sticky-post-custom .entry-title a {
    color: #000 !important;
    text-decoration: none;
}

/* Excerpt */
.sticky-post-custom .entry-excerpt {
    font-size: 15px;
    line-height: 1.6;
}

.sticky-post-custom .entry-excerpt p {
    color: #757575;
}

.custom-category-button {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    background-color: #067A7E;
    padding: 4px 12px 4px 12px;
    border-radius: 8px;
}


.custom-category-button .category-icon {
    display: inline-flex;
    align-items: center;
    width: 16px;
    height: 16px;
    fill: currentColor;
    flex-shrink: 0;
    color: #fff;
}


/* Responsive cho mobile */
@media (max-width: 768px) {
    .sticky-post-custom {
        grid-column: span 1;
        height: 300px;
    }
    
    .sticky-content-wrapper {
        padding: 20px;
        max-width: 100%;
    }
    
    .sticky-post-custom .entry-title {
        font-size: 20px;
    }
}

